/*
 * mide.c
 */

#include<stdio.h>
#include "s_midi.h"		/* midi 機能を利用するためのお呪い */

/*
 * main.c
 */

int main(void) {

  s_midi_set_length ( S_MIDI_LEN_4 );	/* 4 分 音符 : 1, 2, 4, 8 がある */

  s_midi_play ( S_MIDI_C4 );	/* ド */
  s_midi_play ( S_MIDI_D4 );	/* レ */
  s_midi_play ( S_MIDI_E4 );	/* ミ */
  s_midi_play ( S_MIDI_F4 );	/* ファ */
  s_midi_play ( S_MIDI_G4 );	/* ソ */
  s_midi_play ( S_MIDI_A4 );	/* ラ */
  s_midi_play ( S_MIDI_B4 );	/* シ */
  s_midi_play ( S_MIDI_C5 );	/* 高いド */

  s_midi_play ( S_MIDI___ );	/* 休 */

  s_midi_set_length ( S_MIDI_LEN_8 );	/* 8 分 音符 */

  s_midi_play ( S_MIDI_C5 );	/* 高いド */
  s_midi_play ( S_MIDI_B4 );	/* シ */
  s_midi_play ( S_MIDI_A4 );	/* ラ */
  s_midi_play ( S_MIDI_G4 );	/* ソ */
  s_midi_play ( S_MIDI_F4 );	/* ファ */
  s_midi_play ( S_MIDI_E4 );	/* ミ */
  s_midi_play ( S_MIDI_D4 );	/* レ */
  s_midi_play ( S_MIDI_C4 );	/* ド */

  s_midi_set_length ( S_MIDI_LEN_4 );	/* 4 分 音符 : 1, 2, 4, 8 がある */
  s_midi_play ( S_MIDI___ );	/* 休 */

  s_midi_harmony ( S_MIDI_C4, S_MIDI_E4, S_MIDI_G4 );	/* ドミソ */

  return 0;
}

