/*
 *	sample-007.c
 */

#include<stdio.h>
#include "../s_midi.h"

/*
 *	main
 */

int main(void) {

	/*
	 *
	 */

  s_midi_set_length ( S_MIDI_LEN_4 );	/* 1/4 拍子 */

	/*
	 *	ドミソ
	 */

  s_midi_play ( S_MIDI_C4 );			/* ドの音を鳴らす */
  s_midi_play ( S_MIDI_E4 );			/* ミの音を鳴らす */
  s_midi_play ( S_MIDI_G4 );			/* ソの音を鳴らす */
  s_midi_play ( S_MIDI___ );			/* 休止 */

  s_midi_harmony ( S_MIDI_C4, S_MIDI_E4, S_MIDI_G4 );  /* ドミソ */
  s_midi_play ( S_MIDI___ );			/* 休止 */

	/*
	 *	レファラ
	 */

  s_midi_play ( S_MIDI_D4 );			/* レの音を鳴らす */
  s_midi_play ( S_MIDI_F4 );			/* ファの音を鳴らす */
  s_midi_play ( S_MIDI_A4 );			/* ラの音を鳴らす */
  s_midi_play ( S_MIDI___ );			/* 休止 */

  s_midi_harmony ( S_MIDI_D4, S_MIDI_F4, S_MIDI_A4 );  /* レファラ */
  s_midi_play ( S_MIDI___ );			/* 休止 */


	/*
	 *	ミソシ
	 */

  s_midi_play ( S_MIDI_E4 );			/* ミの音を鳴らす */
  s_midi_play ( S_MIDI_G4 );			/* ソの音を鳴らす */
  s_midi_play ( S_MIDI_B4 );			/* シの音を鳴らす */
  s_midi_play ( S_MIDI___ );			/* 休止 */

  s_midi_harmony ( S_MIDI_E4, S_MIDI_G4, S_MIDI_B4 );  /* ミソシ */
  s_midi_play ( S_MIDI___ );			/* 休止 */

	/*
	 *
	 */

  return 0;
}

